### Hierarchy

- unknown
  - OfferInfo

## Index

### Constructors

- constructor

### Methods

- getAmount
- getArbitratorSigner
- getBaseCurrencyCode
- getBuyerSecurityDeposit
- getCounterCurrencyCode
- getDate
- getDirection
- getId
- getIsActivated
- getIsMyOffer
- getMakerFee
- getMarketPriceMarginPct
- getMinAmount
- getMinVolume
- getOfferFeePaymentTxId
- getOwnerNodeAddress
- getPaymentAccountId
- getPaymentMethodId
- getPaymentMethodShortName
- getPrice
- getProtocolVersion
- getPubKeyRing
- getSellerSecurityDeposit
- getState
- getTriggerPrice
- getTxFee
- getUseMarketBasedPrice
- getVersionNr
- getVolume
- serializeBinary
- setAmount
- setArbitratorSigner
- setBaseCurrencyCode
- setBuyerSecurityDeposit
- setCounterCurrencyCode
- setDate
- setDirection
- setId
- setIsActivated
- setIsMyOffer
- setMakerFee
- setMarketPriceMarginPct
- setMinAmount
- setMinVolume
- setOfferFeePaymentTxId
- setOwnerNodeAddress
- setPaymentAccountId
- setPaymentMethodId
- setPaymentMethodShortName
- setPrice
- setProtocolVersion
- setPubKeyRing
- setSellerSecurityDeposit
- setState
- setTriggerPrice
- setTxFee
- setUseMarketBasedPrice
- setVersionNr
- setVolume
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new OfferInfo(): OfferInfo

- Inherited from jspb.Message.constructor

  #### Returns OfferInfo

## Methods

### getAmount

- getAmount(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1591

  #### Returns number

### getArbitratorSigner

- getArbitratorSigner(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1660

  #### Returns string

### getBaseCurrencyCode

- getBaseCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1618

  #### Returns string

### getBuyerSecurityDeposit

- getBuyerSecurityDeposit(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1603

  #### Returns number

### getCounterCurrencyCode

- getCounterCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1621

  #### Returns string

### getDate

- getDate(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1624

  #### Returns number

### getDirection

- getDirection(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1579

  #### Returns string

### getId

- getId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1576

  #### Returns string

### getIsActivated

- getIsActivated(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1642

  #### Returns boolean

### getIsMyOffer

- getIsMyOffer(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1645

  #### Returns boolean

### getMakerFee

- getMakerFee(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1639

  #### Returns number

### getMarketPriceMarginPct

- getMarketPriceMarginPct(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1588

  #### Returns number

### getMinAmount

- getMinAmount(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1594

  #### Returns number

### getMinVolume

- getMinVolume(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1600

  #### Returns string

### getOfferFeePaymentTxId

- getOfferFeePaymentTxId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1633

  #### Returns string

### getOwnerNodeAddress

- getOwnerNodeAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1648

  #### Returns string

### getPaymentAccountId

- getPaymentAccountId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1609

  #### Returns string

### getPaymentMethodId

- getPaymentMethodId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1612

  #### Returns string

### getPaymentMethodShortName

- getPaymentMethodShortName(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1615

  #### Returns string

### getPrice

- getPrice(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1582

  #### Returns string

### getProtocolVersion

- getProtocolVersion(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1657

  #### Returns number

### getPubKeyRing

- getPubKeyRing(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1651

  #### Returns string

### getSellerSecurityDeposit

- getSellerSecurityDeposit(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1630

  #### Returns number

### getState

- getState(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1627

  #### Returns string

### getTriggerPrice

- getTriggerPrice(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1606

  #### Returns string

### getTxFee

- getTxFee(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1636

  #### Returns number

### getUseMarketBasedPrice

- getUseMarketBasedPrice(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1585

  #### Returns boolean

### getVersionNr

- getVersionNr(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1654

  #### Returns string

### getVolume

- getVolume(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1597

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1663

  #### Returns Uint8Array

### setAmount

- setAmount(value: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1592

  #### Parameters

  - ##### value: number

  #### Returns OfferInfo

### setArbitratorSigner

- setArbitratorSigner(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1661

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setBaseCurrencyCode

- setBaseCurrencyCode(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1619

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setBuyerSecurityDeposit

- setBuyerSecurityDeposit(value: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1604

  #### Parameters

  - ##### value: number

  #### Returns OfferInfo

### setCounterCurrencyCode

- setCounterCurrencyCode(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1622

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setDate

- setDate(value: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1625

  #### Parameters

  - ##### value: number

  #### Returns OfferInfo

### setDirection

- setDirection(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1580

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setId

- setId(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1577

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setIsActivated

- setIsActivated(value: boolean): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1643

  #### Parameters

  - ##### value: boolean

  #### Returns OfferInfo

### setIsMyOffer

- setIsMyOffer(value: boolean): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1646

  #### Parameters

  - ##### value: boolean

  #### Returns OfferInfo

### setMakerFee

- setMakerFee(value: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1640

  #### Parameters

  - ##### value: number

  #### Returns OfferInfo

### setMarketPriceMarginPct

- setMarketPriceMarginPct(value: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1589

  #### Parameters

  - ##### value: number

  #### Returns OfferInfo

### setMinAmount

- setMinAmount(value: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1595

  #### Parameters

  - ##### value: number

  #### Returns OfferInfo

### setMinVolume

- setMinVolume(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1601

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setOfferFeePaymentTxId

- setOfferFeePaymentTxId(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1634

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setOwnerNodeAddress

- setOwnerNodeAddress(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1649

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setPaymentAccountId

- setPaymentAccountId(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1610

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setPaymentMethodId

- setPaymentMethodId(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1613

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setPaymentMethodShortName

- setPaymentMethodShortName(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1616

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setPrice

- setPrice(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1583

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setProtocolVersion

- setProtocolVersion(value: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1658

  #### Parameters

  - ##### value: number

  #### Returns OfferInfo

### setPubKeyRing

- setPubKeyRing(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1652

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setSellerSecurityDeposit

- setSellerSecurityDeposit(value: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1631

  #### Parameters

  - ##### value: number

  #### Returns OfferInfo

### setState

- setState(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1628

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setTriggerPrice

- setTriggerPrice(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1607

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setTxFee

- setTxFee(value: number): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1637

  #### Parameters

  - ##### value: number

  #### Returns OfferInfo

### setUseMarketBasedPrice

- setUseMarketBasedPrice(value: boolean): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1586

  #### Parameters

  - ##### value: boolean

  #### Returns OfferInfo

### setVersionNr

- setVersionNr(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1655

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### setVolume

- setVolume(value: string): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1598

  #### Parameters

  - ##### value: string

  #### Returns OfferInfo

### toObject

- toObject(includeInstance?: boolean): OfferInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1664

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns OfferInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1667

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OfferInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OfferInfo, reader: BinaryReader): OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1668

  #### Parameters

  - ##### message: OfferInfo

  - ##### reader: BinaryReader

  #### Returns OfferInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: OfferInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1666

  #### Parameters

  - ##### message: OfferInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: OfferInfo ): OfferInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1665

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OfferInfo

  #### Returns OfferInfo . AsObject

Generated using TypeDoc